from pathlib import Path

class GenConfig():
    def __init__(self, profile_dir):
        self.profile_dir = profile_dir

    def create_wireless_config(self, name, interface, security, key, ip='dhcp'):
        print("Creating Profile! Don't interrupt!\n")
        filename = "netgui_" + name
        f = open(Path(self.profile_dir, filename), 'w+')
        f.write("Description='This profile was generated by netgui for " + str(name)+".'\n" +
                "Interface=" + str(interface) + "\n" +
                "Connection=wireless\n" +
                "Security=" + str(security) + "\n" +
                "ESSID='" + str(name) + "'\n")
        if key:
            f.write(r"Key='" + key + "'\n")
        else:
            f.write(r'Key=None')
        f.write("\nIP=%s\n" % ip)
        f.close()
        print("Alright, I have finished making the profile!")